## org.apache.hadoop.io
Interface ReadaheadPool.ReadaheadRequest

Enclosing class:
  ReadaheadPool

    public static interface ReadaheadPool.ReadaheadRequest

An outstanding readahead request that has been submitted to the pool. This request may be pending or may have been completed.

Method Summary
`void` `cancel()` Cancels the request for readahead.
`long` `getLength()`
`long` `getOffset()`

Method Detail

### cancel

    void cancel()

  Cancels the request for readahead. This should be used if the reader no longer needs the requested data, before closing the related file descriptor. It is safe to use even if the readahead request has already been fulfilled.

### getOffset

    long getOffset()

  Returns:
    the requested offset

### getLength

    long getLength()

  Returns:
    the requested length

Copyright © 2009 The Apache Software Foundation